List contacts
curl --request GET \
--url https://dev-public-api.openphone.dev/contacts \
--header 'Authorization: <api-key>' \
--header 'Quo-Api-Version: <quo-api-version>'{
"data": [
{
"id": "6a145ff26212a192852c856e",
"createdAt": "2021-01-01T00:00:00Z",
"updatedAt": "2021-01-01T00:00:00Z",
"actorId": "US123abc",
"externalId": "1234567890",
"source": "public-api",
"sourceUrl": "https://example.com/contacts/001",
"firstName": "John",
"lastName": "Doe",
"company": "Quo",
"role": "admin"
}
],
"nextCursor": "eyJsYXN0SWQiOiJVU211a09NaXBhIn0"
}{
"message": "The input was invalid",
"docs": "https://quo.com/docs",
"title": "Bad Request",
"trace": "6897907457496870895"
}{
"message": "User is unauthorized to perform this action",
"docs": "https://quo.com/docs",
"title": "Unauthorized",
"trace": "6897907457496870895"
}{
"message": "User is forbidden to perform this action",
"docs": "https://quo.com/docs",
"title": "Forbidden",
"trace": "6897907457496870895"
}{
"message": "The contact was not found",
"docs": "https://quo.com/docs",
"title": "Not Found",
"trace": "6897907457496870895"
}{
"message": "An unknown error has occurred",
"docs": "https://quo.com/docs",
"title": "Unknown Error",
"trace": "6897907457496870895"
}Contacts
List contacts
Get a paginated list of contacts.
GET
/
contacts
List contacts
curl --request GET \
--url https://dev-public-api.openphone.dev/contacts \
--header 'Authorization: <api-key>' \
--header 'Quo-Api-Version: <quo-api-version>'{
"data": [
{
"id": "6a145ff26212a192852c856e",
"createdAt": "2021-01-01T00:00:00Z",
"updatedAt": "2021-01-01T00:00:00Z",
"actorId": "US123abc",
"externalId": "1234567890",
"source": "public-api",
"sourceUrl": "https://example.com/contacts/001",
"firstName": "John",
"lastName": "Doe",
"company": "Quo",
"role": "admin"
}
],
"nextCursor": "eyJsYXN0SWQiOiJVU211a09NaXBhIn0"
}{
"message": "The input was invalid",
"docs": "https://quo.com/docs",
"title": "Bad Request",
"trace": "6897907457496870895"
}{
"message": "User is unauthorized to perform this action",
"docs": "https://quo.com/docs",
"title": "Unauthorized",
"trace": "6897907457496870895"
}{
"message": "User is forbidden to perform this action",
"docs": "https://quo.com/docs",
"title": "Forbidden",
"trace": "6897907457496870895"
}{
"message": "The contact was not found",
"docs": "https://quo.com/docs",
"title": "Not Found",
"trace": "6897907457496870895"
}{
"message": "An unknown error has occurred",
"docs": "https://quo.com/docs",
"title": "Unknown Error",
"trace": "6897907457496870895"
}Authorizations
Headers
API version header. Supported values: 2026-03-30
Available options:
2026-03-30 Query Parameters
DEPRECATED, use externalId[in] instead. Will still work, but if both are provided, their values are combined and deduplicated. Filter by external IDs
Maximum array length:
50DEPRECATED, use source[in] instead. Will still work, but if both are provided, their values are combined and deduplicated. Filter by source labels
Maximum array length:
50Show child attributes
Show child attributes
Show child attributes
Show child attributes
Page size
Required range:
1 <= x <= 50Example:
"eyJsYXN0SWQiOiJVU211a09NaXBhIn0"
Was this page helpful?